/*
 * Copyright (C) 2016 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package android.car.cluster.renderer;

import android.graphics.Bitmap;
import android.car.navigation.CarNavigationInstrumentCluster;

/**
 * Binder API for Instrument Cluster Navigation.
 *
 * @hide
 */
interface IInstrumentClusterNavigation {
    void onStartNavigation();
    void onStopNavigation();
    void onNextManeuverChanged(
        int event, CharSequence eventName, int turnAngle, int turnNumber, in Bitmap image,
        int turnSide);
    void onNextManeuverDistanceChanged(int distanceMeters, int timeSeconds,
        int displayDistanceMillis, int displayDistanceUnit);
    CarNavigationInstrumentCluster getInstrumentClusterInfo();
}
